MeasurementProcessorEJBImpl (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.measurement.server.session.MeasurementProcessorEJBImpl class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.measurement.server.session
Class MeasurementProcessorEJBImpl

    java.lang.Object
      org.hyperic.hq.measurement.server.session.SessionEJB
          org.hyperic.hq.measurement.server.session.MeasurementProcessorEJBImpl

All Implemented Interfaces:
  java.io.Serializable, javax.ejb.EnterpriseBean, javax.ejb.SessionBean

    public class MeasurementProcessorEJBImpl

extends SessionEJB
implements javax.ejb.SessionBean

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.hyperic.hq.measurement.server.session.SessionEJB
`_mpm, DATASOURCE_NAME`

Constructor Summary
`MeasurementProcessorEJBImpl()`

Method Summary
`void` | `ejbActivate()`
`void` | `ejbCreate()`
`void` | `ejbPassivate()`
`void` | `ejbPostCreate()`
`void` | `ejbRemove()`
`static org.hyperic.hq.measurement.shared.MeasurementProcessorLocal` | `getOne()`
`boolean` | `ping(Agent a)` Ping the agent to make sure it's up
`void` | `scheduleEnabled(Agent agent, java.util.Collection eids)`
`void` | `scheduleHierarchyAfterCommit(java.util.Collection resources)` Schedules enabled measurements for the entire ResourceEdge hierarchy based on the "containment" relationship.
`void` | `scheduleHierarchyAfterCommit(Resource resource)` Schedules enabled measurements for the entire ResourceEdge hierarchy based on the "containment" relationship.
`void` | `scheduleSynchronous(java.util.List aeids)`
`void` | `setSessionContext(javax.ejb.SessionContext ctx)`
`void` | `unschedule(AppdefEntityID agentEnt, AppdefEntityID[] entIds)` Unschedule metrics of multiple appdef entities
`void` | `unschedule(java.util.Collection aeids)` Unschedule measurements
`void` | `unschedule(java.lang.String agentToken, java.util.Collection entIds)` Unschedule metrics of multiple appdef entities

Methods inherited from class org.hyperic.hq.measurement.server.session.SessionEJB
`checkDeletePermission, checkModifyPermission, checkTimeArguments, deleteMetricProblems, getAgent, getAgent, getAgentMan, getAuthzSubjectManager, getAvailabilityDataDAO, getBaselineDAO, getCategoryDAO, getDataMan, getInitialContext, getMeasurementDAO, getMeasurementTemplateDAO, getMetricProblemDAO, getMonitorableTypeDAO, getMPM, getProductMan, getResource, getScheduleRevNumDAO, getSRNManager, getTemplateMan`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MeasurementProcessorEJBImpl

    public MeasurementProcessorEJBImpl()

Method Detail

### ping

    public boolean ping(Agent a)
                 throws PermissionException

  Ping the agent to make sure it's up

  Throws:
    `PermissionException`

### scheduleHierarchyAfterCommit

    public void scheduleHierarchyAfterCommit(java.util.Collection resources)

  Schedules enabled measurements for the entire ResourceEdge hierarchy based on the "containment" relationship. These metrics are scheduled after the transaction is committed.

### scheduleHierarchyAfterCommit

    public void scheduleHierarchyAfterCommit(Resource resource)

  Schedules enabled measurements for the entire ResourceEdge hierarchy based on the "containment" relationship. These metrics are scheduled after the transaction is committed.

### scheduleSynchronous

    public void scheduleSynchronous(java.util.List aeids)

  Parameters:
    `aeids` - `List` of `AppdefEntityID`

### scheduleEnabled

    public void scheduleEnabled(Agent agent,
                                java.util.Collection eids)
                         throws MonitorAgentException

  Parameters:
    `eids` - List
  Throws:
    `MonitorAgentException`

### unschedule

    public void unschedule(java.lang.String agentToken,
                           java.util.Collection entIds)
                    throws MeasurementUnscheduleException

  Unschedule metrics of multiple appdef entities

  Parameters:
    `agentToken` - the entity whose agent will be contacted for the unschedule
    `entIds` - the entity IDs whose metrics should be unscheduled
  Throws:
    `MeasurementUnscheduleException` - if an error occurs

### unschedule

    public void unschedule(AppdefEntityID agentEnt,
                           AppdefEntityID[] entIds)
                    throws MeasurementUnscheduleException

  Unschedule metrics of multiple appdef entities

  Parameters:
    `agentEnt` - the entity whose agent will be contacted for the unschedule
    `entIds` - the entity IDs whose metrics should be unscheduled
  Throws:
    `MeasurementUnscheduleException` - if an error occurs

### unschedule

    public void unschedule(java.util.Collection aeids)
                    throws MeasurementUnscheduleException

  Unschedule measurements

  Parameters:
    `aeids` - List of `AppdefEntityID`
  Throws:
    `MeasurementUnscheduleException` - if an error occurs

### getOne

    public static org.hyperic.hq.measurement.shared.MeasurementProcessorLocal getOne()

### ejbCreate

    public void ejbCreate()

### ejbPostCreate

    public void ejbPostCreate()

### ejbActivate

    public void ejbActivate()

  Specified by:
    `ejbActivate` in interface `javax.ejb.SessionBean`

### ejbPassivate

    public void ejbPassivate()

  Specified by:
    `ejbPassivate` in interface `javax.ejb.SessionBean`

### ejbRemove

    public void ejbRemove()

  Specified by:
    `ejbRemove` in interface `javax.ejb.SessionBean`

### setSessionContext

    public void setSessionContext(javax.ejb.SessionContext ctx)

  Specified by:
    `setSessionContext` in interface `javax.ejb.SessionBean`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.